Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5IsTimestepping

Ask the viewer whether it is in timestepping mode currently.

## Synopsis

    PetscErrorCode PetscViewerHDF5IsTimestepping(PetscViewer viewer, PetscBool *flg)

Not Collective

## Input Parameter

- viewer - the `PetscViewer` of type `PETSCVIEWERHDF5`

## Output Parameter

- flg - is timestepping active?

## Note

See `PetscViewerHDF5PushTimestepping()` for details.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5Open()`, `PetscViewerHDF5PushTimestepping()`, `PetscViewerHDF5PopTimestepping()`, `PetscViewerHDF5SetTimestep()`, `PetscViewerHDF5IncrementTimestep()`, `PetscViewerHDF5GetTimestep()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

## Implementations

PetscViewerHDF5IsTimestepping_HDF5() in src/sys/classes/viewer/impls/hdf5/impl/ihdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages